# **********************************************************************
#
# Copyright (c) 2000
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

# ----------------------------------------------------------------------
# Use the following lines to set your installation directories
# ----------------------------------------------------------------------

prefix		= C:\OOC
bindir		= $(prefix)\bin
libdir		= $(prefix)\lib

# ----------------------------------------------------------------------
# Please change the following settings to reflect your Java
# development environment
# ----------------------------------------------------------------------

# SUN's JDK 1.1 or higher
JAVA		= java
JAVAC		= javac
JAVACFLAGS	= # -deprecation
JAR		= jar
JARFLAGS	= c0f

# IBM's jikes Java compiler
#JAVAC		= jikes
#JAVACFLAGS	= -nowarn

# Microsoft's Visual J++
#JAVA		= jview
#JAVAC		= jvc
#JAVACFLAGS	=
#JAR		= jar
#JARFLAGS	= c0f

# ----------------------------------------------------------------------
# Please change the definition of JIDL to reflect the IDL-to-Java
# translator. In particular, make sure the JIDL program is in your
# PATH, or provide the full pathname below.
# ----------------------------------------------------------------------

JIDL		= jidl

# ----------------------------------------------------------------------
# If you compile any program that depends on ORBacus for Java, use the
# following line to set the ORBacus for Java installation path.
# ----------------------------------------------------------------------

JOB_DIR=$(prefix)

# ----------------------------------------------------------------------
# Don't change anything below this line
# ----------------------------------------------------------------------

SHELL		= bash # Only needed for "nmake /f Makefile.mak test"

.SUFFIXES:
.SUFFIXES:	.java .class

.java.class:
	$(JAVAC) $(JAVACFLAGS) $<

all::

clean::
	-del *.bak *.flc

install::

test::

classes:
	mkdir classes

generated:
	mkdir generated

$(top_srcdir)\lib:
	mkdir $(top_srcdir)\lib

clean::
	-rmdir /s /q classes
	-rmdir /s /q generated
