// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************
 
package com.ooc.CosEventServer;

//
// Base class for Consumer and Supplier Admins
//
public interface AdminBase
{
    //
    // Called from the event channel upon destruction.
    //
    public void disconnect();

    //
    // Stop accepting new requests.
    //
    public void discardRequests();
}
