// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package event;

import org.omg.CORBA.*;
import org.omg.CosEventComm.*;
import java.io.*;

class Echo_impl extends _TypedEchoImplBase
{
    private ORB orb_;
    private BOA boa_;
    private StringBuffer buf_;

    Echo_impl(ORB orb, BOA boa, StringBuffer buf)
    {
	orb_ = orb;
	boa_ = boa;
	buf_ = buf;
    }

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public void
    echo(String str)
    {
	buf_.append(str);
	buf_.append("\n");
    }

    public void
    push(org.omg.CORBA.Any any)
    {
    }

    public void
    disconnect_push_consumer()
    {
	buf_.append("Disconnect\n");
	orb_.disconnect(this);
	boa_.deactivate_impl(null);
    }

}
