// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package hello;

import org.omg.CORBA.*;

public class Hello_impl extends _HelloImplBase
{
    private com.ooc.OCI.Current current_;

    public Hello_impl(com.ooc.OCI.Current current)
    {
	current_ = current;
    }
    
    public void say_hello()
    {
	System.out.println("Hello_impl::hello()");

	com.ooc.OCI.TransportInfo info = current_.get_oci_transport_info();
	com.ooc.OCI.IIOP.TransportInfo iiopInfo =
	    com.ooc.OCI.IIOP.TransportInfoHelper.narrow(info);

	if(iiopInfo != null)
        {
	    int[] remoteAddr = Converter.addr(iiopInfo.remote_addr());
	    int remotePort = Converter.port(iiopInfo.remote_port());
	    
            System.out.println("Call from: " +
                               remoteAddr[0] + "." +
                               remoteAddr[1] + "." +
                               remoteAddr[2] + "." +
                               remoteAddr[3] + ":" + remotePort);
        }
    }
}
