// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CORBA;

final class ExceptionList extends org.omg.CORBA.ExceptionList
{
    java.util.Vector typeCodeVec_ = new java.util.Vector();

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public int
    count()
    {
	return typeCodeVec_.size();
    }

    public void
    add(org.omg.CORBA.TypeCode exc)
    {
	typeCodeVec_.addElement(exc);
    }

    public org.omg.CORBA.TypeCode
    item(int index)
	throws org.omg.CORBA.Bounds
    {
	try
	{
	    return (org.omg.CORBA.TypeCode)typeCodeVec_.elementAt(index);
	}
	catch(ArrayIndexOutOfBoundsException ex)
	{
	    throw new org.omg.CORBA.Bounds();
	}
    }

    public void
    remove(int index)
	throws org.omg.CORBA.Bounds
    {
	try
	{
	    typeCodeVec_.removeElementAt(index);
	}
	catch(ArrayIndexOutOfBoundsException ex)
	{
	    throw new org.omg.CORBA.Bounds();
	}
    }

    // ------------------------------------------------------------------
    // ORBacus internal functions
    // Application programs must not use these functions directly
    // ------------------------------------------------------------------
    
    ExceptionList()
    {
    }
}
