// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package org.omg.CORBA;

final public class NO_MEMORY extends org.omg.CORBA.SystemException
{
    public NO_MEMORY()
    {
	super("", 0, CompletionStatus.COMPLETED_NO);
    }

    public NO_MEMORY(int minor, CompletionStatus completed)
    {
	super("", minor, completed);
    }

    public NO_MEMORY(String reason)
    {
	super(reason, 0, CompletionStatus.COMPLETED_NO);
    }

    public NO_MEMORY(String reason, int minor, CompletionStatus completed)
    {
	super(reason, minor, completed);
    }
}
