// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package org.omg.CORBA;

public abstract class TypeCode
{
    public abstract boolean equal(TypeCode tc);
    public abstract TCKind kind();

    public abstract String id()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract String name()
	throws org.omg.CORBA.TypeCodePackage.BadKind;

    public abstract int member_count()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract String member_name(int index)
	throws org.omg.CORBA.TypeCodePackage.BadKind,
	       org.omg.CORBA.TypeCodePackage.Bounds;

    public abstract TypeCode member_type(int index)
	throws org.omg.CORBA.TypeCodePackage.BadKind,
	       org.omg.CORBA.TypeCodePackage.Bounds;

    public abstract Any member_label(int index)
	throws org.omg.CORBA.TypeCodePackage.BadKind,
	       org.omg.CORBA.TypeCodePackage.Bounds;
    public abstract TypeCode discriminator_type()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract int default_index()
	throws org.omg.CORBA.TypeCodePackage.BadKind;

    public abstract int length()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
    public abstract TypeCode content_type()
	throws org.omg.CORBA.TypeCodePackage.BadKind;
}
