// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package CosTrading;

public class Init extends com.visigenic.vbroker.orb.ServiceInit
{
    private String[] services_ = {"TradingService"};
    private org.omg.CosTrading.Lookup lookup_ = null;
    private org.omg.CORBA.ORB orb_;

    public Init()
    {
    }

    public void
    init(org.omg.CORBA.ORB orb, java.util.Properties props)
    {
        orb_ = orb;
    }

    public String[]
    list_services()
    {
        return services_;
    }

    public synchronized org.omg.CORBA.Object
    resolve(String string)
    {
        if (lookup_ == null)
        {
            try
            {
                lookup_ = org.omg.CosTrading.LookupHelper.bind(orb_,
                                                               services_[0]);
            }
            catch(Exception ex)
            {
                throw new org.omg.CORBA.INITIALIZE("Could not initialize " +
                                                   services_[0] + ": " + ex);
            }
        }

        return lookup_;
    }
}
