// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosTrading;

interface AbstractDB
{
    //
    // One of these must be supplied to the begin() method
    //
    static final int READ = 0;
    static final int WRITE = 1;


    //
    // Acquires a lock of the requested type - may block
    //
    void
    begin(int mode);

    //
    // Releases a lock
    //
    void
    end();
}
