// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosTrading;

interface AttributeDB extends AbstractDB
{
    byte[]
    request_id_stem();
    void
    request_id_stem(byte[] stem);

    int
    def_search_card();
    void
    def_search_card(int card);

    int
    max_search_card();
    void
    max_search_card(int card);

    int
    def_match_card();
    void
    def_match_card(int card);

    int
    max_match_card();
    void
    max_match_card(int card);

    int
    def_return_card();
    void
    def_return_card(int card);

    int
    max_return_card();
    void
    max_return_card(int card);

    int
    max_list();
    void
    max_list(int card);

    boolean
    supports_modifiable_properties();
    void
    supports_modifiable_properties(boolean b);

    boolean
    supports_dynamic_properties();
    void
    supports_dynamic_properties(boolean b);

    boolean
    supports_proxy_offers();
    void
    supports_proxy_offers(boolean b);

    int
    def_hop_count();
    void
    def_hop_count(int card);

    int
    max_hop_count();
    void
    max_hop_count(int card);

    org.omg.CosTrading.FollowOption
    def_follow_policy();
    void
    def_follow_policy(org.omg.CosTrading.FollowOption f);

    org.omg.CosTrading.FollowOption
    max_follow_policy();
    void
    max_follow_policy(org.omg.CosTrading.FollowOption f);

    org.omg.CosTrading.FollowOption
    max_link_follow_policy();
    void
    max_link_follow_policy(org.omg.CosTrading.FollowOption f);
}
