// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package test;

public class ProxyImpl extends org.omg.CosTrading._LookupImplBase
{
    private boolean asked_ = false;

    public ProxyImpl()
    {
    }

    public boolean
    getAsked()
    {
        return asked_;
    }

    public void
    reset()
    {
        asked_ = false;
    }

    //
    // Stub out the required attributes
    //

    public org.omg.CosTrading.Lookup
    lookup_if()
    {
        return null;
    }

    public org.omg.CosTrading.Register
    register_if()
    {
        return null;
    }

    public org.omg.CosTrading.Link
    link_if()
    {
        return null;
    }

    public org.omg.CosTrading.Proxy
    proxy_if()
    {
        return null;
    }

    public org.omg.CosTrading.Admin
    admin_if()
    {
        return null;
    }

    public boolean
    supports_modifiable_properties()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public boolean
    supports_dynamic_properties()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public boolean
    supports_proxy_offers()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public org.omg.CORBA.Object
    type_repos()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    def_search_card()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    max_search_card()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    def_match_card()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    max_match_card()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    def_return_card()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    max_return_card()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    max_list()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    def_hop_count()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public int
    max_hop_count()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public org.omg.CosTrading.FollowOption
    def_follow_policy()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public org.omg.CosTrading.FollowOption
    max_follow_policy()
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    public void
    query(String type,
          String constr,
          String pref,
          org.omg.CosTrading.Policy[] policies,
          org.omg.CosTrading.LookupPackage.SpecifiedProps desired_props,
          int how_many,
          org.omg.CosTrading.OfferSeqHolder offers,
          org.omg.CosTrading.OfferIteratorHolder offer_itr,
          org.omg.CosTrading.PolicyNameSeqHolder limits_applied)
    throws org.omg.CosTrading.IllegalServiceType,
           org.omg.CosTrading.UnknownServiceType,
           org.omg.CosTrading.IllegalConstraint,
           org.omg.CosTrading.LookupPackage.IllegalPreference,
           org.omg.CosTrading.LookupPackage.IllegalPolicyName,
           org.omg.CosTrading.LookupPackage.PolicyTypeMismatch,
           org.omg.CosTrading.LookupPackage.InvalidPolicyValue,
           org.omg.CosTrading.IllegalPropertyName,
           org.omg.CosTrading.DuplicatePropertyName,
           org.omg.CosTrading.DuplicatePolicyName
    {
        offers.value = new org.omg.CosTrading.Offer[0];
        offer_itr.value = null;
        limits_applied.value = new String[0];

        //
        // Remember that we've been invoked
        //
        asked_ = true;
    }
}
