// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.Util.CORBA.GUI;

//
// This class provides a status bar that displays IOR contents.
//

final public class IORStatusBar extends com.ooc.Util.GUI.StatusBar
{
    public IORStatusBar()
    {
    }

    public IORStatusBar(boolean beveled)
    {
	super(beveled);
    }

    public void
    displayIOR(org.omg.CORBA.Object obj)
    {
	org.omg.IOP.IOR ior =
            com.ooc.Util.CORBA.IOP.IORAnalyzer.getIOR(obj);
	if(ior != null)
	{
	    com.ooc.Util.CORBA.IOP.ProfileTagAnalyzer a =
		com.ooc.Util.CORBA.IOP.ProfileTagAnalyzer.getAnalyzer(
                    ior.profiles[0]);

	    String info = "";
            if(ior.type_id.length() != 0)
                info += " ID: " + ior.type_id;
	    if(a != null)
            {
                if(info.length() != 0)
                    info += ", ";
		info += a.getIORInfo();
            }

	    setText(info);
	}
	else
	    setText("nil object reference");
    }
}
