// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.Util.CORBA.IntRep;

public class IRAlias extends IRComponent
{
    private org.omg.CORBA.IRObject object_;
    private org.omg.CORBA.TypeDescription desc_;

    public
    IRAlias(IRComponent parent,
            org.omg.CORBA.IRObject object,
            org.omg.CORBA.Any value)
    {
        super(parent);
        object_ = object;
        desc_ = org.omg.CORBA.TypeDescriptionHelper.extract(value);
    }

    public String
    getID()
    {
        return desc_.id;
    }

    public String
    getName()
    {
        return desc_.name;
    }

    public org.omg.CORBA.DefinitionKind
    getKind()
    {
        return org.omg.CORBA.DefinitionKind.dk_Alias;
    }
}
