// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package event;

import org.omg.CORBA.*;
import org.omg.CosEventComm.*;

class TimerUpdate_impl extends _TypedTimerUpdateImplBase
{
    private ORB orb_;
    private BOA boa_;
    private boolean slow_;

    TimerUpdate_impl(ORB orb, BOA boa, boolean slow)
    {
	orb_ = orb;
	boa_ = boa;
	slow_ = slow;
    }

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public void
    time_update(String str)
    {
	System.out.println(str);
	if(slow_)
	{
	    try
	    {
		Thread.sleep(2000);
	    }
	    catch(InterruptedException e)
	    {
	    }
	}
    }

    public void
    push(org.omg.CORBA.Any any)
    {
    }

    public void
    disconnect_push_consumer()
    {
	orb_.disconnect(this);
	boa_.deactivate_impl(null);
    }

}
