// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CORBA;

final class ContextList extends org.omg.CORBA.ContextList
{
    private java.util.Vector stringVec_ = new java.util.Vector();

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public int
    count()
    {
	return stringVec_.size();
    }

    public void
    add(String ctx)
    {
	stringVec_.addElement(ctx);
    }

    public String
    item(int index)
	throws org.omg.CORBA.Bounds
    {
	try
	{
	    return (String)stringVec_.elementAt(index);
	}
	catch(ArrayIndexOutOfBoundsException ex)
	{
	    throw new org.omg.CORBA.Bounds();
	}
    }

    public void
    remove(int index)
	throws org.omg.CORBA.Bounds
    {
	try
	{
	    stringVec_.removeElementAt(index);
	}
	catch(ArrayIndexOutOfBoundsException ex)
	{
	    throw new org.omg.CORBA.Bounds();
	}
    }

    // ------------------------------------------------------------------
    // ORBacus internal functions
    // Application programs must not use these functions directly
    // ------------------------------------------------------------------
    
    ContextList()
    {
    }
}
