// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CORBA;

final class DispatchStatus
{
    private static DispatchStatus[] values_ = new DispatchStatus[4];
    private int value_;

    public static final int _DispatchStatusOK = 0;
    public static final DispatchStatus DispatchStatusOK =
    new DispatchStatus(_DispatchStatusOK);
    public static final int _DispatchStatusExcept = 1;
    public static final DispatchStatus DispatchStatusExcept =
    new DispatchStatus(_DispatchStatusExcept);
    public static final int _DispatchStatusNoObject = 2;
    public static final DispatchStatus DispatchStatusNoObject =
    new DispatchStatus(_DispatchStatusNoObject);
    public static final int _DispatchStatusNoOperation = 3;
    public static final DispatchStatus DispatchStatusNoOperation =
    new DispatchStatus(_DispatchStatusNoOperation);

    public int value()
    {
	return value_;
    }

    public static DispatchStatus from_int(int value)
    {
	return values_[value];
    }

    private DispatchStatus(int value)
    {
	values_[value] = this;
	value_ = value;
    }
}
