// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CORBA;

//
// Note: If something is changed here, it must also be changed in other
// ORBacus implementations, like ORBacus for C++.
//

// This class must be public
public final class MinorCommFailure
{
    public final static int OOCVMCID = 0x4f4f0000;

    //
    // recv() failed
    //
    public static final int MinorRecv = 1 | OOCVMCID;

    //
    // send() failed
    //
    public static final int MinorSend = 2 | OOCVMCID;

    //
    // recv() returned zero
    //
    public static final int MinorRecvZero = 3 | OOCVMCID;

    //
    // send() returned zero
    //
    public static final int MinorSendZero = 4 | OOCVMCID;

    //
    // socket() failed
    //
    public static final int MinorSocket = 5 | OOCVMCID;

    //
    // setsockopt() failed
    //
    public static final int MinorSetsockopt = 6 | OOCVMCID;

    //
    // getsockopt() failed
    //
    public static final int MinorGetsockopt = 7 | OOCVMCID;

    //
    // bind() failed
    //
    public static final int MinorBind = 8 | OOCVMCID;

    //
    // listen() failed
    //
    public static final int MinorListen = 9 | OOCVMCID;

    //
    // connect() failed
    //
    public static final int MinorConnect = 10 | OOCVMCID;

    //
    // accept() failed
    //
    public static final int MinorAccept = 11 | OOCVMCID;

    //
    // select() failed
    //
    public static final int MinorSelect = 12 | OOCVMCID;

    //
    // gethostname() failed
    //
    public static final int MinorGethostname = 13 | OOCVMCID;

    //
    // gethostbyname() failed
    //
    public static final int MinorGethostbyname = 14 | OOCVMCID;

    //
    // WSAStartup() failed
    //
    public static final int MinorWSAStartup = 15 | OOCVMCID;

    //
    // WSACleanup() failed
    //
    public static final int MinorWSACleanup = 16 | OOCVMCID;

    //
    // Not a GIOP message
    //
    public static final int MinorNoGIOP = 17 | OOCVMCID;

    //
    // Unknown GIOP message
    //
    public static final int MinorUnknownMessage = 18 | OOCVMCID;

    //
    // Wrong GIOP message
    //
    public static final int MinorWrongMessage = 19 | OOCVMCID;

    //
    // Got a close connection message
    //
    public static final int MinorCloseConnection = 20 | OOCVMCID;

    //
    // Got a message error message
    //
    public static final int MinorMessageError = 21 | OOCVMCID;
}
