// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CORBA;

abstract class Server
{
    //
    // Destroy the server
    //
    abstract void
    _destroy();

    //
    // Get the OCI acceptor
    //
    abstract com.ooc.OCI.Acceptor
    acceptor();

    //
    // Run the server. This may block or not block, depending on the
    // server kind, The return value is a "done" flag, meaning that
    // the server blocked to do it's work and can now be released.
    //
    abstract boolean
    run();

    //
    // Disable the server
    //
    abstract void
    disable();
};
