# **********************************************************************
#
# Copyright (c) 2000
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

NAME		= OBTest.jar

!include $(top_srcdir)\..\config\Make.rules.mak

all:: auto tests

auto:: $(top_srcdir)\lib generated
	$(JIDL) --tie --package test --output-dir generated \
	Types.idl TestIntf.idl TestIntf_LongLong.idl TestDynAnyTypes.idl
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	generated\test\*.java \
	generated\test\TestDynAnyTypes\*.java \
	generated\test\TestIntfPackage\*.java

tests:: $(top_srcdir)\lib
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	*.java

jar:
	cd $(top_srcdir)\lib
	if exist $(NAME) del $(NAME)
	$(JAR) $(JARFLAGS) $(NAME) test

install:: jar
	copy $(top_srcdir)\lib\$(NAME) $(libdir)

clean::
	-rmdir /s /q $(top_srcdir)\lib\test
	-del $(top_srcdir)\lib\$(NAME)
