// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package test;

import org.omg.CORBA.*;
import test.TestIntfPackage.*;

class TestStub_LongLong extends TestBase
{
    TestStub_LongLong(TestIntf_LongLong ti)
    {
	{
	    long ret;
	    ti.attrLongLong(-9223372036854775807L - 1);
	    ret = ti.attrLongLong();
	    TEST(ret == -9223372036854775807L - 1);

	    ti.attrLongLong(9223372036854775807L);
	    ret = ti.attrLongLong();
	    TEST(ret == 9223372036854775807L);

	    LongHolder inOut = new LongHolder(20);
	    LongHolder out = new LongHolder();
	    ret = ti.opLongLong(10, inOut, out);
	    TEST(ret == 30);
	    TEST(inOut.value == 30);
	    TEST(out.value == 30);
	}

	{
	    long ret;
	    ti.attrULongLong(9223372036854775807L);
	    ret = ti.attrULongLong();
	    TEST(ret == 9223372036854775807L);

	    LongHolder inOut = new LongHolder(20);
	    LongHolder out = new LongHolder();
	    ret = ti.opULongLong(10, inOut, out);
	    TEST(ret == 30);
	    TEST(inOut.value == 30);
	    TEST(out.value == 30);
	}
    }
}
