// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosTrading;

//
// Represents a proxy offer
//
final class ProxyPropertyList extends PropertyList
{
    private org.omg.CosTrading.ProxyPackage.ProxyInfo info_;

    ProxyPropertyList(org.omg.CORBA.ORB orb,
                      org.omg.CosTrading.ProxyPackage.ProxyInfo info)
    {
        super(orb, null, info.properties);
        info_ = info;
    }

    org.omg.CosTrading.ProxyPackage.ProxyInfo
    getInfo()
    {
        return info_;
    }
}
