// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosTradingConsole.Util;

public class FormattedText
{
    public static final int HEADER   = 0;
    public static final int VALUE    = 1;
    public static final int SUBVALUE = 2;

    private StringBuffer text_ = new StringBuffer();

    public
    FormattedText()
    {
    }

    public void
    addBlankLine()
    {
        text_.append("\n");
    }

    public void
    addLine(String line, int style)
    {
        String indent = "";

        if(style == VALUE)
            indent = "  ";
        else if(style == SUBVALUE)
            indent = "    ";

        java.util.StringTokenizer tokenizer =
            new java.util.StringTokenizer(line, "\n");

        while(tokenizer.hasMoreTokens())
        {
            String token = tokenizer.nextToken();
            text_.append(indent);
            text_.append(line);
            text_.append("\n");
        }
    }

    public String
    toString()
    {
        return text_.toString();
    }
}
