# **********************************************************************
#
# Copyright (c) 2000
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

NAME		= OBUtil.jar

!include $(top_srcdir)\config\Make.rules.mak

IDLDIR		= $(top_srcdir)\idl

all:: util

util:: $(top_srcdir)\lib
	set CLASSPATH=.;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	com\ooc\Util\*.java
	set CLASSPATH=.;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	com\ooc\Util\GUI\*.java
	set CLASSPATH=.;$(top_srcdir)\lib;$(OB_LIB);$(CLASSPATH)
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
	com\ooc\Util\CORBA\*.java \
	com\ooc\Util\CORBA\IntRep\*.java \
	com\ooc\Util\CORBA\IOP\*.java \
	com\ooc\Util\CORBA\GUI\*.java \
	com\ooc\Util\CORBA\GUI\IntRep\*.java

jar:
	cd $(top_srcdir)\lib
	if exist $(NAME) del $(NAME)
	$(JAR) $(JARFLAGS) $(NAME) com

install:: jar
	copy $(top_srcdir)\lib\$(NAME) $(libdir)

clean::
	-rmdir /s /q $(top_srcdir)\lib
