// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.Util.CORBA.IntRep;

public class IRInterface extends IRContainer
{
    private org.omg.CORBA.InterfaceDescription desc_;

    public
    IRInterface(IRComponent parent,
                org.omg.CORBA.IRObject object,
                org.omg.CORBA.Any value)
    {
        super(parent, object);

        desc_ = org.omg.CORBA.InterfaceDescriptionHelper.extract(value);
    }

    public String
    getID()
    {
        return desc_.id;
    }

    public String
    getName()
    {
        return desc_.name;
    }

    public org.omg.CORBA.DefinitionKind
    getKind()
    {
        return org.omg.CORBA.DefinitionKind.dk_Interface;
    }
}
