// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.Util.CORBA.IntRep;

public class IROpException extends IRComponent
{
    private org.omg.CORBA.ExceptionDescription desc_;

    public
    IROpException(IRComponent parent, org.omg.CORBA.ExceptionDescription desc)
    {
        super(parent);
        desc_ = desc;
    }

    public String
    getID()
    {
        return desc_.id;
    }

    public String
    getName()
    {
        return desc_.name;
    }

    public org.omg.CORBA.DefinitionKind
    getKind()
    {
        return org.omg.CORBA.DefinitionKind.dk_Exception;
    }
}
